use bevy::prelude::*;

mod camera;
mod cleanup;
mod debugging;
mod game;

#[derive(States, Default, Debug, Clone, PartialEq, Eq, Hash, Reflect)]
#[allow(unused)]
enum AppState {
    Menus,
    #[default]
    Ingame,
    PostGame,
}

fn main() {
    App::new()
        .add_plugins(DefaultPlugins)
        .add_systems(Startup, camera::setup)
        .add_plugins(game::plugin)
        .init_state::<AppState>()
        .register_type::<AppState>()
        .add_plugins(debugging::plugin)
        .run();
}
